package cn.com.poc.formreport.strategy;


import cn.com.poc.formreport.FormReportRequest;

import java.util.List;

public abstract class AbstractFormReportStrategy implements FormReportStrategy{


    /**
     * 动态表头
     * @return
     */
    public List<List<String>> dynamicHead(FormReportRequest reportRequest) throws Exception {
        return null;
    }

    /**
     * 动态数据
     * @return
     */
    public List<List<String>> dynamicData(FormReportRequest reportRequest){
        return null;
    }


    @Override
    public List<List<Object>> dynamicDataObject(FormReportRequest reportRequest) throws Exception {
        return null;
    }
}
